Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 997)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! all actions concerning leapfrog- and upstream-spline-scheme removed
 !
 ! Former revisions:
@@ -12,5 +12,5 @@
 ! 996 2012-09-07 10:41:47Z raasch
 ! little reformatting
-!
+
 ! 978 2012-08-09 08:28:32Z fricke
 ! setting of bc_lr/ns_dirneu/neudir
@@ -492,7 +492,4 @@
        THEN
           WRITE( action, '(A,A)' )  'momentum_advec = ', momentum_advec
-       ENDIF
-       IF ( timestep_scheme(1:8) == 'leapfrog' )  THEN
-          WRITE( action, '(A,A)' )  'timestep_scheme = ', timestep_scheme
        ENDIF
        IF ( psolver == 'sor' )  THEN
@@ -562,10 +559,4 @@
 
        action = ' '
-       IF ( timestep_scheme(1:8) == 'leapfrog' )  THEN
-          WRITE( action, '(A,A)' )  'timestep_scheme = ', timestep_scheme
-       ENDIF
-       IF ( momentum_advec == 'ups-scheme' )  THEN
-          WRITE( action, '(A,A)' )  'momentum_advec = ', momentum_advec
-       ENDIF
        IF ( action /= ' ' )  THEN
           message_string = 'ocean = .T. does not allow ' // TRIM( action )
@@ -653,15 +644,14 @@
     IF ( scalar_advec   == 'ws-scheme'   )  ws_scheme_sca = .TRUE.
     
-    IF ( momentum_advec /= 'pw-scheme' .AND. momentum_advec /= 'ws-scheme' .AND. &
-         momentum_advec /= 'ups-scheme' ) THEN
+    IF ( momentum_advec /= 'pw-scheme'  .AND.  momentum_advec /= 'ws-scheme' ) &
+    THEN
        message_string = 'unknown advection scheme: momentum_advec = "' // &
                         TRIM( momentum_advec ) // '"'
        CALL message( 'check_parameters', 'PA0022', 1, 2, 0, 6, 0 )
     ENDIF
-    IF ((( momentum_advec == 'ups-scheme'  .OR.  scalar_advec == 'ups-scheme' )&
-           .AND.  timestep_scheme /= 'euler' ) .OR. (( momentum_advec == 'ws-scheme'&
-           .OR.  scalar_advec == 'ws-scheme') .AND. (timestep_scheme == 'euler' .OR. &
-           timestep_scheme == 'leapfrog+euler' .OR. timestep_scheme == 'leapfrog'    &
-           .OR. timestep_scheme == 'runge-kutta-2'))) THEN
+    IF ( ( momentum_advec == 'ws-scheme' .OR.  scalar_advec == 'ws-scheme' )   &
+           .AND. ( timestep_scheme == 'euler' .OR.                             &
+                   timestep_scheme == 'runge-kutta-2' ) )                      &
+    THEN
        message_string = 'momentum_advec or scalar_advec = "' &
          // TRIM( momentum_advec ) // '" is not allowed with timestep_scheme = "' // &
@@ -670,5 +660,6 @@
     ENDIF
     IF ( scalar_advec /= 'pw-scheme'  .AND.  scalar_advec /= 'ws-scheme' .AND. &
-        scalar_advec /= 'bc-scheme'  .AND.  scalar_advec /= 'ups-scheme' )  THEN
+         scalar_advec /= 'bc-scheme' )                                         &
+    THEN
        message_string = 'unknown advection scheme: scalar_advec = "' // &
                         TRIM( scalar_advec ) // '"'
@@ -683,10 +674,4 @@
     ENDIF
 
-    IF ( use_upstream_for_tke  .AND.  timestep_scheme(1:8) == 'leapfrog' )  THEN
-       message_string = 'use_upstream_for_tke = .TRUE. not allowed with ' // &
-                        'timestep_scheme = "' // TRIM( timestep_scheme ) // '"'
-       CALL message( 'check_parameters', 'PA0026', 1, 2, 0, 6, 0 )
-    ENDIF
-
     IF ( use_sgs_for_particles  .AND.  curvature_solution_effects )  THEN
        message_string = 'use_sgs_for_particles = .TRUE. not allowed with ' // &
@@ -701,16 +686,10 @@
        CASE ( 'euler' )
           intermediate_timestep_count_max = 1
-          asselin_filter_factor           = 0.0
-
-       CASE ( 'leapfrog', 'leapfrog+euler' )
-          intermediate_timestep_count_max = 1
 
        CASE ( 'runge-kutta-2' )
           intermediate_timestep_count_max = 2
-          asselin_filter_factor           = 0.0
 
        CASE ( 'runge-kutta-3' )
           intermediate_timestep_count_max = 3
-          asselin_filter_factor           = 0.0
 
        CASE DEFAULT
@@ -720,12 +699,4 @@
 
     END SELECT
-
-    IF ( scalar_advec == 'ups-scheme'  .AND.  timestep_scheme(1:5) == 'runge' )&
-    THEN
-       message_string = 'scalar advection scheme "' // TRIM( scalar_advec ) // &
-                        '" & does not work with timestep_scheme "' // &
-                        TRIM( timestep_scheme ) // '"'
-       CALL message( 'check_parameters', 'PA0028', 1, 2, 0, 6, 0 )
-    ENDIF
 
     IF ( (momentum_advec /= 'pw-scheme' .AND. momentum_advec /= 'ws-scheme') &
@@ -831,19 +802,8 @@
     ENDIF
 
-    IF ( humidity  .AND.  scalar_advec == 'ups-scheme' )  THEN
-       message_string = 'UPS-scheme is not implemented for humidity = .TRUE.'
-       CALL message( 'check_parameters', 'PA0037', 1, 2, 0, 6, 0 )
-    ENDIF
-
     IF ( passive_scalar  .AND.  humidity )  THEN
        message_string = 'humidity = .TRUE. and passive_scalar = .TRUE. ' // &
                         'is not allowed simultaneously'
        CALL message( 'check_parameters', 'PA0038', 1, 2, 0, 6, 0 )
-    ENDIF
-
-    IF ( passive_scalar  .AND.  scalar_advec == 'ups-scheme' )  THEN
-       message_string = 'UPS-scheme is not implemented for passive_scalar' // &
-                        ' = .TRUE.'
-       CALL message( 'check_parameters', 'PA0039', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1319,15 +1279,10 @@
     IF ( cfl_factor <= 0.0  .OR.  cfl_factor > 1.0 )  THEN
        IF ( cfl_factor == -1.0 )  THEN
-          IF ( momentum_advec == 'ups-scheme'  .OR.  &
-               scalar_advec == 'ups-scheme' )  THEN
+          IF ( timestep_scheme == 'runge-kutta-2' )  THEN
              cfl_factor = 0.8
+          ELSEIF ( timestep_scheme == 'runge-kutta-3' )  THEN
+             cfl_factor = 0.9
           ELSE
-             IF ( timestep_scheme == 'runge-kutta-2' )  THEN
-                cfl_factor = 0.8
-             ELSEIF ( timestep_scheme == 'runge-kutta-3' )  THEN
-                cfl_factor = 0.9
-             ELSE
-                cfl_factor = 0.1
-             ENDIF
+             cfl_factor = 0.9
           ENDIF
        ELSE
@@ -1717,9 +1672,5 @@
 !-- Compute and check, respectively, the Rayleigh Damping parameter
     IF ( rayleigh_damping_factor == -1.0 )  THEN
-       IF ( momentum_advec == 'ups-scheme' )  THEN
-          rayleigh_damping_factor = 0.01
-       ELSE
-          rayleigh_damping_factor = 0.0
-       ENDIF
+       rayleigh_damping_factor = 0.0
     ELSE
        IF ( rayleigh_damping_factor < 0.0 .OR. rayleigh_damping_factor > 1.0 ) &
@@ -1753,18 +1704,4 @@
           ENDIF
        ENDIF
-    ENDIF
-
-!
-!-- Check limiters for Upstream-Spline scheme
-    IF ( overshoot_limit_u < 0.0  .OR.  overshoot_limit_v < 0.0  .OR.  &
-         overshoot_limit_w < 0.0  .OR.  overshoot_limit_pt < 0.0  .OR. &
-         overshoot_limit_e < 0.0 )  THEN
-       message_string = 'overshoot_limit_... < 0.0 is not allowed'
-       CALL message( 'check_parameters', 'PA0080', 1, 2, 0, 6, 0 )
-    ENDIF
-    IF ( ups_limit_u < 0.0 .OR. ups_limit_v < 0.0 .OR. ups_limit_w < 0.0 .OR. &
-         ups_limit_pt < 0.0 .OR. ups_limit_e < 0.0 )  THEN
-       message_string = 'ups_limit_... < 0.0 is not allowed'
-       CALL message( 'check_parameters', 'PA0081', 1, 2, 0, 6, 0 )
     ENDIF
 
